<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-gs1.php');

?>

<div style="font-size:0.9em">

<h2>Tester lectura GS1-128</h2>

<p>Carácter de separación de datos: <?php echo chr($caracterSeparadorGs1); ?> ascii: <?php echo $caracterSeparadorGs1; ?></p>

<p>Lectura:<br /><input type="text" name="lectura" id="lectura" class="campo campoLecturaGS1"/></p>

<div id="resultado"></div>

<p><input type="submit" name="botonReiniciar" id="botonReiniciar" value="Reiniciar" class="boton"/></p>

<p>Lectura real codificada: </p>
<p><textarea name="lecturaReal" id="lecturaReal" rows="25" style="width:90%"></textarea></p>

</div>

<script>

var lecturaScanner=new Array();
var cadenaLectura='';
var esLecturaGS1Correcta=false;

$(document).ready(function() {
	
	$('#lectura').on('change',function(){
				
		console.log('Change en campo lectura.');
		
		$("#lecturaReal").val( extraeCaracteresDirectos($('#lectura').val()) );
		
		var lecturaFinal='';
		
		lecturaFinal=extraeBloquesSinSeparadorCaracterSeparador( $('#lectura').val() , <?php echo $caracterSeparadorGs1; ?> );
		
		var resultado=pintaLecturaHumana( lecturaFinal );
		
		console.log(lecturaFinal + ' > resultado: ' + resultado);
		
		if(resultado=='error')  {
			var mostrar=limpiaLecturaDesdeScannerNoGS1(lecturaScanner);
			alert('Error en la lectura. Código GS1-128 no reconocido.<br><br>'+mostrar,null,'error');
			$('#lectura').val( mostrar );
		}
		else {
			$('#lectura').val( resultado );
			$.post( "<?php echo $rutaHtml; ?>/contenidos/gs1-tester-resultado.php",{ cadena : resultado })
			.done(function(data) {
				$('#resultado').html(data);
			});
			
		}

	});
	
	$('#botonReiniciar').on('click',function(){
	
		console.log('Reinicio');
	
		lecturaScanner=new Array();
		cadenaLectura='';
		esLecturaGS1Correcta=false;
	
		$('#lectura').val('');
		$('#lecturaReal').val('');
		$('#resultado').html('');
		$('#lectura').focus();
		
	});
	
	$('#lectura').focus();
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
